.section	".rodata"
.align	8
.section	".text"
offset_10:
	ld	[%o5 + 4], %i3
	add	%i2, %i3, %i2
	retl
	nop
two_4:
	mov	%i1, %o5
	add	%i1, 8, %i1
	set	offset_10, %i4
	st	%i4, [%o5 + 0]
	st	%i3, [%o5 + 4]
	ld	[%o5 + 0], %o4
	jmp	%o4
	nop
.global	min_caml_start
min_caml_start:
	save	%sp, -112, %sp
	set	7, %i2
	set	9, %i3
	st	%o7, [%i0 + 4]
	call	two_4
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	st	%o7, [%i0 + 4]
	call	min_caml_print_int
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	ret
	restore
